caoss.simulator.os.syscalls

## Enum SysCallNumber

- java.lang.Object
- - java.lang.Enum<SysCallNumber>
  - - caoss.simulator.os.syscalls.SysCallNumber

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SysCallNumber>

      public enum SysCallNumber
      extends java.lang.Enum<SysCallNumber>

  The list of featured system calls
  Author:
    Herve Paulino

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXIT`
    `IO`
    `LOAD_PROGRAM`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SysCallNumber` | `fromInt(int number)` Obtain a `SysCallNumber` representation from an int
    `static SysCallNumber` | `fromString(java.lang.String str)` Obtain a `SysCallNumber` representation from a string
    `static SysCallNumber` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SysCallNumber[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOAD_PROGRAM

          public static final SysCallNumber LOAD_PROGRAM

    - #### IO

          public static final SysCallNumber IO

    - #### EXIT

          public static final SysCallNumber EXIT

  - ### Method Detail

    - #### values

          public static SysCallNumber[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SysCallNumber c : SysCallNumber.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SysCallNumber valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static SysCallNumber fromInt(int number)

      Obtain a `SysCallNumber` representation from an int
      Parameters:
        `number` - The syscall number
      Returns:
        The SysCallNumber

    - #### fromString

          public static SysCallNumber fromString(java.lang.String str)
                                          throws NoSuchSysCallException

      Obtain a `SysCallNumber` representation from a string
      Parameters:
        `str` - The string
      Returns:
        The SysCallNumber
      Throws:
        `NoSuchSysCallException`